FROM ubuntu

RUN apt update && apt upgrade -y

RUN mkdir /opt/jenkins

RUN apt-get install openjdk-11-jdk wget -y

RUN wget https://get.jenkins.io/war-stable/2.289.3/jenkins.war -O /opt/jenkins/jenkins.war

ENV JENKINS_HOME="/opt/jenkins"

CMD java -jar /opt/jenkins/jenkins.war

